Skip to content

API reference / Get paid

GET /v1/collections/{id} Bearer

Find a payment by id

Path parameters

id required string
GET https://omni.mojo-pay.com/v1/collections/{id}
curl -X GET "https://omni.mojo-pay.com/v1/collections/{id}" \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Accept: application/json"
Response
{
    "id": "CL_9K2ML0ABCDEF",
    "object": "collection",
    "status": "succeeded",
    "currency": "GHS",
    "amount": "200.00",
    "merchant_reference": "ORD-2026-001",
    "mobile": "233544338841",
    "payment_rail": "mobile_money",
    "provider": "MTN"
}